#include <Arduino.h>

#define FRAMES 36
#define SPOKES 3
#define FRAME_GROUP (FRAMES/SPOKES)

class imageClass
{
public:
	unsigned long duration, startTime;
	imageClass();

	void setImageByte(uint8_t data, uint8_t imageFrame, uint8_t sector);
	uint8_t getPixels(uint8_t imageFrame, uint8_t sector);
	uint8_t getEnable(uint8_t imageFrame);
	void cyclePatterns(unsigned long currentTime);
	// Set some patterns
	void spiral(unsigned long currentTime);
	void checkers(unsigned long currentTime);
	void frames(unsigned long currentTime);

private:
	uint8_t imageData[FRAMES][4], currentPattern;
	void spiral();
	void checkers();
	void frames();
};